Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util.helper
Class JNDIHelper

    java.lang.Object
      com.beasys.commerce.axiom.util.helper.JNDIHelper

All Implemented Interfaces
  ToolkitConstants

Deprecated Use `JndiHelper`

    @Deprecated
    public class JNDIHelper

extends Object
implements ToolkitConstants

Single point of access to the application server. This should make it easy to swap out servers, and processes.

Field Summary

Fields inherited from interface com.beasys.commerce.axiom.util.ToolkitConstants
`DEFAULT_ID_CACHE, DEFAULT_ID_PROCEDURE, DEFAULT_JDBC_POOL_NAME, DEFAULT_JTS_POOL_NAME, DEFAULT_LOGGING_LEVEL, DEFAULT_WEBLOGIC_HOST, DEFAULT_WEBLOGIC_PORT, ID_CACHE, ID_PROCEDURE, JDBC_POOL_NAME, JTS_POOL_NAME, LOG_DEBUG, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_SECURITY, LOG_WARNING, LOGGING_LEVEL, WEBLOGIC_HOST, WEBLOGIC_PORT`

Constructor Summary
`JNDIHelper()` Deprecated

Method Summary
`static void` | `bind(Context ctx, String name, Object obj)` Deprecated Bind an object to name in the given context.
`static void` | `bind(String name, Object obj)` Deprecated Bind an object into the local naming context.
`static Context` | `create(Hashtable props)` Deprecated Create a new context based on the properties file.
`static Hashtable` | `createDefault()` Deprecated Create the default context hashtable for creating the InitialContext.
`protected static Context` | `createSubcontext(Context initial, String name)` Deprecated Create a subcontext for the given name.
`static Context` | `getDefaultContext()` Deprecated The default context.
`static Object` | `getHome(Context ctx, String homeName)` Deprecated Get home.
`static Object` | `getHome(String homeName)` Deprecated Safely retrieve an EJBHome by passing it through the PortableRemoteObject.narrow method, using the EJBMetaData.
`static Object` | `getService(String aLookupName)` Deprecated See lookup
`static Object` | `lookup(String aLookupName)` Deprecated Connect to a reference in JNDI referred to by the lookup name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIHelper

    public JNDIHelper()

  Deprecated

Method Detail

### create

    public static Context create(Hashtable props)
                          throws NamingException

  Deprecated
  Create a new context based on the properties file.

  Parameters
    `props` - the properties for the JNDI implementation.
  Returns
    `Context`
  Throws
    ``ToolkitException``
    `NamingException`

### getDefaultContext

    public static Context getDefaultContext()

  Deprecated
  The default context. This will look to see if a default context has been created

### createDefault

    public static Hashtable createDefault()

  Deprecated
  Create the default context hashtable for creating the InitialContext.

  Returns
    `Hashtable`

### lookup

    public static Object lookup(String aLookupName)
                         throws ToolkitException

  Deprecated
  Connect to a reference in JNDI referred to by the lookup name.

  Parameters
    `String` - the lookup name.
  Returns
    Object the object referenced by the name. Use this to get handles to Home interfaces, RMI objects, etc.
  Throws
    `ToolkitException` - holder for any exception

### bind

    public static void bind(String name,
                            Object obj)
                     throws NamingException

  Deprecated
  Bind an object into the local naming context.

  Parameters
    `name` - the name (can be multi-part).
    `obj` - the object.
  Throws
    `NamingException` - thrown on a naming error.
  See Also
    `bind(javax.naming.Context, java.lang.String, java.lang.Object)`, `getDefaultContext()`

### bind

    public static void bind(Context ctx,
                            String name,
                            Object obj)
                     throws NamingException

  Deprecated
  Bind an object to name in the given context.

  This supports binding multi-part names by creating the required sub Contexts as needed. If an object is already bound there, this will do a rebind.

  Parameters
    `ctx` - the naming Context.
    `name` - the name (can be multi-part).
    `obj` - the object.
  Throws
    `NamingException` - thrown on a naming error.
  See Also
    `createSubcontext(javax.naming.Context, java.lang.String)`

### createSubcontext

    protected static Context createSubcontext(Context initial,
                                              String name)
                                       throws NamingException

  Deprecated
  Create a subcontext for the given name.

  This will not create the last portion of the name.

  Parameters
    `initial` - the initial context to start at.
    `name` - the name (can be multi-part).
  Returns
    the subcontext.
  Throws
    `NamingException` - thrown is the name cannot be created.

### getService

    public static Object getService(String aLookupName)
                             throws ToolkitException

  Deprecated See lookup

  Connect to a reference in JNDI referred to by the lookup name.

  Parameters
    `String` - the lookup name.
  Returns
    Object the object referenced by the name. Use this to get handles to Home interfaces, RMI objects, etc.
  Throws
    `ToolkitException` - holder for any exception

### getHome

    public static Object getHome(String homeName)
                          throws ToolkitException

  Deprecated
  Safely retrieve an EJBHome by passing it through the PortableRemoteObject.narrow method, using the EJBMetaData.

  If rmi-iiop is not being used, this will just do a lookup.

  Parameters
    `homeName` - the JNDI name of the home.
  Returns
    the home, safely narrowed to the home interface class.
  Throws
    `ToolkitException` - thrown on a lookup error.

### getHome

    public static Object getHome(Context ctx,
                                 String homeName)
                          throws NamingException

  Deprecated
  Get home.

  Parameters
    `ctx` -
    `homeName` -
  Returns
    `Object`
  Throws
    ``NamingException``
    `NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.